Subject: bug#73643: closed (Re: [bug#73643] [PATCH 0/2] Fix LibreWolf context menu & livestreaming)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 08 Oct 2024 07:42:01 +0000

Your bug report

#73643: [PATCH 0/2] Fix LibreWolf context menu & livestreaming

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
73643: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73643
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#73643] [PATCH 0/2] Fix LibreWolf context menu & livestreaming
From: Maxim Cournoyer <[email-masked]>
To: Ian Eure <[email-masked]>
Cc: [email-masked]
Date: Tue, 08 Oct 2024 16:39:48 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Ian,

Ian Eure <[email-masked]> writes:

> After #73429 merged, I received reports of two problems:
>
> - The right-click context menu has manu duplicate and broken entries.  This was caused by removing the genai module, but retaining code in the chrome which references it.  Until I find a better approach to this, I’ve reverted the change.
> - Livestreamed video wouldn’t play.  This was caused by the patch from #72265.  I’ve reverted this, and will look into other approaches.
>
> Ian Eure (2):
>   gnu: librewolf: Fix broken context menu.
>   gnu: librewolf: Revert video acceleration fix

I've pushed these two fixes, un-registering the removed patch from
gnu/local.mk and refining the ChangeLog commit messages; please take
a look!

Thanks for the fix-up.

-- 
Maxim

Subject: [PATCH 0/2] Fix LibreWolf context menu & livestreaming
From: Ian Eure <[email-masked]>
To: [email-masked]
Cc: Ian Eure <[email-masked]>
Date: Sat, 5 Oct 2024 09:12:49 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

After #73429 merged, I received reports of two problems:

- The right-click context menu has manu duplicate and broken entries.  This was caused by removing the genai module, but retaining code in the chrome which references it.  Until I find a better approach to this, I’ve reverted the change.
- Livestreamed video wouldn’t play.  This was caused by the patch from #72265.  I’ve reverted this, and will look into other approaches.

Ian Eure (2):
  gnu: librewolf: Fix broken context menu.
  gnu: librewolf: Revert video acceleration fix

 gnu/packages/librewolf.scm                    | 25 +++++++++++++------
 ...librewolf-add-paths-to-rdd-allowlist.patch | 11 --------
 2 files changed, 17 insertions(+), 19 deletions(-)
 delete mode 100644 gnu/packages/patches/librewolf-add-paths-to-rdd-allowlist.patch

-- 
2.46.0